<!DOCTYPE html>
<html lang="en-US">
<head>
  <title>intrinsic widths for -moz-intrinsic, -moz-min-intrinsic, -moz-shrink-wrap, and -moz-fill values of CSS width property, on blocks</title>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <meta http-equiv="Content-Style-Type" content="text/css">
</head>
<body>

<table border><tr><td>
  <div>AA B</div>
</td></tr></table>

<table border><tr><td>
  <div>AA B</div>
</td></tr></table>

<table border width="1"><tr><td>
  <div>AA B</div>
</td></tr></table>

<table border width="1"><tr><td>
  <div>AA B</div>
</td></tr></table>

<table border><tr><td>
  <div>AA B</div>
</td></tr></table>

<table border width="1"><tr><td>
  <div>AA B</div>
</td></tr></table>

<table border><tr><td>
  <div>AA B</div>
</td></tr></table>

<table border width="1"><tr><td>
  <div>AA B</div>
</td></tr></table>

</body>
</html>
